## f_chdir

The f_chdir function changes the current directory of a drive.

    FRESULT f_chdir (
      const TCHAR* path /* [IN] Path name */
    );

#### Parameters

path
  Pointer to the null-terminated string that specifies the directory to go.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_PATH, FR_INVALID_NAME, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

The `f_chdir` function changes the current directory of the logical drive. The current directory of a drive is set to the root directory when the drive is mounted. Note that the current directory is retained in the each file system object, so that it also affects other tasks that use the volume.

#### QuickInfo

Available when `FF_FS_RPATH >= 1`.

#### Example

        /* Change current direcoty of the current drive ('dir1' under root directory) */
        f_chdir("/dir1");

        /* Change current direcoty of drive 2 (parent directory) */
        f_chdir("2:..");

#### See Also

`f_chdrive, f_getcwd`

Return